summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--release/doFS.sh8
-rw-r--r--release/scripts/doFS.sh8
2 files changed, 8 insertions, 8 deletions
diff --git a/release/doFS.sh b/release/doFS.sh
index 113a193..74bab09 100644
--- a/release/doFS.sh
+++ b/release/doFS.sh
@@ -38,14 +38,14 @@ do
if [ "`uname -m`" = "alpha" ]; then
disklabel -Brw -b ${RD}/trees/bin/usr/mdec/boot1 \
- /dev/r${VNDEVICE} minimum
+ /dev/r${VNDEVICE} ${FSLABEL}
else
disklabel -Brw \
-b ${RD}/trees/bin/usr/mdec/fdboot \
-s ${RD}/trees/bin/usr/mdec/bootfd \
- /dev/r${VNDEVICE} minimum
+ /dev/r${VNDEVICE} ${FSLABEL}
fi
- newfs -u 0 -t 0 -i ${FSINODE} -m 0 -T minimum -o space /dev/r${VNDEVICE}c
+ newfs -u 0 -t 0 -i ${FSINODE} -m 0 -T ${FSLABEL} -o space /dev/r${VNDEVICE}c
mount /dev/${VNDEVICE}c ${MNT}
@@ -61,7 +61,7 @@ do
vnconfig -u /dev/r${VNDEVICE} 2>/dev/null || true
- if [ $FSLABEL != "minimum" ] ; then
+ if ! echo $FSLABEL | grep -q minimum; then
echo ${FSSIZE} > fs-image.size
break
fi
diff --git a/release/scripts/doFS.sh b/release/scripts/doFS.sh
index 113a193..74bab09 100644
--- a/release/scripts/doFS.sh
+++ b/release/scripts/doFS.sh
@@ -38,14 +38,14 @@ do
if [ "`uname -m`" = "alpha" ]; then
disklabel -Brw -b ${RD}/trees/bin/usr/mdec/boot1 \
- /dev/r${VNDEVICE} minimum
+ /dev/r${VNDEVICE} ${FSLABEL}
else
disklabel -Brw \
-b ${RD}/trees/bin/usr/mdec/fdboot \
-s ${RD}/trees/bin/usr/mdec/bootfd \
- /dev/r${VNDEVICE} minimum
+ /dev/r${VNDEVICE} ${FSLABEL}
fi
- newfs -u 0 -t 0 -i ${FSINODE} -m 0 -T minimum -o space /dev/r${VNDEVICE}c
+ newfs -u 0 -t 0 -i ${FSINODE} -m 0 -T ${FSLABEL} -o space /dev/r${VNDEVICE}c
mount /dev/${VNDEVICE}c ${MNT}
@@ -61,7 +61,7 @@ do
vnconfig -u /dev/r${VNDEVICE} 2>/dev/null || true
- if [ $FSLABEL != "minimum" ] ; then
+ if ! echo $FSLABEL | grep -q minimum; then
echo ${FSSIZE} > fs-image.size
break
fi
OpenPOWER on IntegriCloud